CVE-2016-9558

Priority
Description
(1) libdwarf/dwarf_leb.c and (2) dwarfdump/print_frames.c in libdwarf
before 20161124 allow remote attackers to have unspecified impact via a
crafted bit pattern in a signed leb number, aka a "negation overflow."
Notes
Package
Upstream:released (20161124-1, 20161124)
Ubuntu 12.04 ESM (Precise Pangolin):DNE (precise was needed)
Ubuntu 14.04 ESM (Trusty Tahr):DNE (trusty was needed)
Ubuntu 16.04 LTS (Xenial Xerus):needed
Ubuntu 18.04 LTS (Bionic Beaver):not-affected (20161124-1)
Ubuntu 19.10 (Eoan Ermine):not-affected (20161124-1)
Ubuntu 20.04 (Focal Fossa):not-affected (20161124-1)
Patches:
Upstream:https://sourceforge.net/p/libdwarf/code/ci/4f19e1050cd8e9ddf2cb6caa061ff2fec4c9b5f9/#diff-5
More Information

Updated: 2020-01-29 18:33:24 UTC (commit 40f18bf14da5fb50662e1f861ea594a462b207fe)